Upstream information

CVE-2018-25012 at MITRE

Description

A flaw was found in libwebp in versions before 1.0.1. An out-of-bounds read was found in function WebPMuxCreateInternal. The highest threat from this vulnerability is to data confidentiality and to the service availability.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having critical severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.4
Vector AV:N/AC:L/Au:N/C:P/I:N/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 9.1 9.1
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:H CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:H
Access Vector Network Network
Access Complexity Low Low
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact None None
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1185690 [IN_PROGRESS]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
HPE Helion Openstack 8
  • libwebp5 >= 0.4.3-4.7.1
  • libwebp5-32bit >= 0.4.3-4.7.1
  • libwebpdemux1 >= 0.4.3-4.7.1
  • libwebpmux1 >= 0.4.3-4.7.1
Patchnames:
HPE-Helion-OpenStack-8-2021-1830
SUSE CaaS Platform 4.0
  • libwebp-devel >= 0.5.0-3.5.1
  • libwebp6 >= 0.5.0-3.5.1
  • libwebpdecoder2 >= 0.5.0-3.5.1
  • libwebpdemux2 >= 0.5.0-3.5.1
  • libwebpextras0 >= 0.5.0-3.5.1
  • libwebpmux2 >= 0.5.0-3.5.1
Patchnames:
SUSE-SUSE-CAASP-4.0-2021-1860
SUSE Enterprise Storage 6
  • libwebp-devel >= 0.5.0-3.5.1
  • libwebp6 >= 0.5.0-3.5.1
  • libwebpdecoder2 >= 0.5.0-3.5.1
  • libwebpdemux2 >= 0.5.0-3.5.1
  • libwebpextras0 >= 0.5.0-3.5.1
  • libwebpmux2 >= 0.5.0-3.5.1
Patchnames:
SUSE-Storage-6-2021-1860
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS
  • libwebp-devel >= 0.5.0-3.5.1
  • libwebp6 >= 0.5.0-3.5.1
  • libwebpdecoder2 >= 0.5.0-3.5.1
  • libwebpdemux2 >= 0.5.0-3.5.1
  • libwebpextras0 >= 0.5.0-3.5.1
  • libwebpmux2 >= 0.5.0-3.5.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP1-ESPOS-2021-1860
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS
  • libwebp-devel >= 0.5.0-3.5.1
  • libwebp6 >= 0.5.0-3.5.1
  • libwebpdecoder2 >= 0.5.0-3.5.1
  • libwebpdemux2 >= 0.5.0-3.5.1
  • libwebpextras0 >= 0.5.0-3.5.1
  • libwebpmux2 >= 0.5.0-3.5.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP1-LTSS-2021-1860
SUSE Linux Enterprise High Performance Computing 15-ESPOS
SUSE Linux Enterprise High Performance Computing 15-LTSS
  • libwebp-devel >= 0.5.0-3.5.1
  • libwebp6 >= 0.5.0-3.5.1
  • libwebpdecoder2 >= 0.5.0-3.5.1
  • libwebpdemux2 >= 0.5.0-3.5.1
  • libwebpextras0 >= 0.5.0-3.5.1
  • libwebpmux2 >= 0.5.0-3.5.1
Patchnames:
SUSE-SLE-Product-HPC-15-2021-1860
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP2
  • libwebp6-32bit >= 0.5.0-3.5.1
  • libwebpdecoder2 >= 0.5.0-3.5.1
  • libwebpdecoder2-32bit >= 0.5.0-3.5.1
  • libwebpextras0 >= 0.5.0-3.5.1
  • libwebpextras0-32bit >= 0.5.0-3.5.1
  • libwebpmux2 >= 0.5.0-3.5.1
  • libwebpmux2-32bit >= 0.5.0-3.5.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP2-2021-1860
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP3
  • libwebp6-32bit >= 0.5.0-3.5.1
  • libwebpdecoder2 >= 0.5.0-3.5.1
  • libwebpdecoder2-32bit >= 0.5.0-3.5.1
  • libwebpextras0 >= 0.5.0-3.5.1
  • libwebpextras0-32bit >= 0.5.0-3.5.1
  • libwebpmux2 >= 0.5.0-3.5.1
  • libwebpmux2-32bit >= 0.5.0-3.5.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP3-2021-1860
SUSE Linux Enterprise Module for additional PackageHub packages 15 SP2
  • libwebp6-32bit >= 0.5.0-3.5.1
Patchnames:
SUSE-SLE-Module-Packagehub-Subpackages-15-SP2-2021-1860
SUSE Linux Enterprise Module for additional PackageHub packages 15 SP3
  • libwebp6-32bit >= 0.5.0-3.5.1
Patchnames:
SUSE-SLE-Module-Packagehub-Subpackages-15-SP3-2021-1860
SUSE Linux Enterprise Server 12 SP2-BCL
  • libwebp5 >= 0.4.3-4.7.1
  • libwebp5-32bit >= 0.4.3-4.7.1
  • libwebpdemux1 >= 0.4.3-4.7.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2021-1830
SUSE Linux Enterprise Server 12 SP3-BCL
  • libwebp5 >= 0.4.3-4.7.1
  • libwebp5-32bit >= 0.4.3-4.7.1
  • libwebpdemux1 >= 0.4.3-4.7.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-BCL-2021-1830
SUSE Linux Enterprise Server 12 SP3-ESPOS
  • libwebp5 >= 0.4.3-4.7.1
  • libwebp5-32bit >= 0.4.3-4.7.1
  • libwebpdemux1 >= 0.4.3-4.7.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-ESPOS-2021-1830
SUSE Linux Enterprise Server 12 SP3-LTSS
  • libwebp5 >= 0.4.3-4.7.1
  • libwebp5-32bit >= 0.4.3-4.7.1
  • libwebpdemux1 >= 0.4.3-4.7.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2021-1830
SUSE Linux Enterprise Server 12 SP4-ESPOS
  • libwebp5 >= 0.4.3-4.7.1
  • libwebp5-32bit >= 0.4.3-4.7.1
  • libwebpdemux1 >= 0.4.3-4.7.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-ESPOS-2021-1830
SUSE Linux Enterprise Server 12 SP4-LTSS
  • libwebp5 >= 0.4.3-4.7.1
  • libwebp5-32bit >= 0.4.3-4.7.1
  • libwebpdemux1 >= 0.4.3-4.7.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-LTSS-2021-1830
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • libwebp5 >= 0.4.3-4.7.1
  • libwebp5-32bit >= 0.4.3-4.7.1
  • libwebpdemux1 >= 0.4.3-4.7.1
Patchnames:
SUSE-SLE-SERVER-12-SP5-2021-1830
SUSE Linux Enterprise Server 15 SP1-BCL
  • libwebp-devel >= 0.5.0-3.5.1
  • libwebp6 >= 0.5.0-3.5.1
  • libwebpdecoder2 >= 0.5.0-3.5.1
  • libwebpdemux2 >= 0.5.0-3.5.1
  • libwebpextras0 >= 0.5.0-3.5.1
  • libwebpmux2 >= 0.5.0-3.5.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP1-BCL-2021-1860
SUSE Linux Enterprise Server 15 SP1-LTSS
  • libwebp-devel >= 0.5.0-3.5.1
  • libwebp6 >= 0.5.0-3.5.1
  • libwebpdecoder2 >= 0.5.0-3.5.1
  • libwebpdemux2 >= 0.5.0-3.5.1
  • libwebpextras0 >= 0.5.0-3.5.1
  • libwebpmux2 >= 0.5.0-3.5.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP1-LTSS-2021-1860
SUSE Linux Enterprise Server 15-LTSS
  • libwebp-devel >= 0.5.0-3.5.1
  • libwebp6 >= 0.5.0-3.5.1
  • libwebpdecoder2 >= 0.5.0-3.5.1
  • libwebpdemux2 >= 0.5.0-3.5.1
  • libwebpextras0 >= 0.5.0-3.5.1
  • libwebpmux2 >= 0.5.0-3.5.1
Patchnames:
SUSE-SLE-Product-SLES-15-2021-1860
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • libwebp5 >= 0.4.3-4.7.1
  • libwebp5-32bit >= 0.4.3-4.7.1
  • libwebpdemux1 >= 0.4.3-4.7.1
Patchnames:
SUSE-SLE-SAP-12-SP3-2021-1830
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • libwebp5 >= 0.4.3-4.7.1
  • libwebp5-32bit >= 0.4.3-4.7.1
  • libwebpdemux1 >= 0.4.3-4.7.1
Patchnames:
SUSE-SLE-SAP-12-SP4-2021-1830
SUSE Linux Enterprise Server for SAP Applications 15 SP1
  • libwebp-devel >= 0.5.0-3.5.1
  • libwebp6 >= 0.5.0-3.5.1
  • libwebpdecoder2 >= 0.5.0-3.5.1
  • libwebpdemux2 >= 0.5.0-3.5.1
  • libwebpextras0 >= 0.5.0-3.5.1
  • libwebpmux2 >= 0.5.0-3.5.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP1-2021-1860
SUSE Linux Enterprise Server for SAP Applications 15
  • libwebp-devel >= 0.5.0-3.5.1
  • libwebp6 >= 0.5.0-3.5.1
  • libwebpdecoder2 >= 0.5.0-3.5.1
  • libwebpdemux2 >= 0.5.0-3.5.1
  • libwebpextras0 >= 0.5.0-3.5.1
  • libwebpmux2 >= 0.5.0-3.5.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-2021-1860
SUSE Linux Enterprise Software Development Kit 12 SP5
  • libwebp-devel >= 0.4.3-4.7.1
  • libwebpdecoder1 >= 0.4.3-4.7.1
  • libwebpmux1 >= 0.4.3-4.7.1
Patchnames:
SUSE-SLE-SDK-12-SP5-2021-1830
SUSE Linux Enterprise Workstation Extension 15 SP2
  • libwebp6 >= 0.5.0-3.5.1
Patchnames:
SUSE-SLE-Product-WE-15-SP2-2021-1860
SUSE Linux Enterprise Workstation Extension 15 SP3
  • libwebp6 >= 0.5.0-3.5.1
Patchnames:
SUSE-SLE-Product-WE-15-SP3-2021-1860
SUSE Manager Proxy 4.0
  • libwebp-devel >= 0.5.0-3.5.1
  • libwebp6 >= 0.5.0-3.5.1
  • libwebpdecoder2 >= 0.5.0-3.5.1
  • libwebpdemux2 >= 0.5.0-3.5.1
  • libwebpextras0 >= 0.5.0-3.5.1
  • libwebpmux2 >= 0.5.0-3.5.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Proxy-4.0-2021-1860
SUSE Manager Retail Branch Server 4.0
  • libwebp-devel >= 0.5.0-3.5.1
  • libwebp6 >= 0.5.0-3.5.1
  • libwebpdecoder2 >= 0.5.0-3.5.1
  • libwebpdemux2 >= 0.5.0-3.5.1
  • libwebpextras0 >= 0.5.0-3.5.1
  • libwebpmux2 >= 0.5.0-3.5.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Retail-Branch-Server-4.0-2021-1860
SUSE Manager Server 4.0
  • libwebp-devel >= 0.5.0-3.5.1
  • libwebp6 >= 0.5.0-3.5.1
  • libwebpdecoder2 >= 0.5.0-3.5.1
  • libwebpdemux2 >= 0.5.0-3.5.1
  • libwebpextras0 >= 0.5.0-3.5.1
  • libwebpmux2 >= 0.5.0-3.5.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Server-4.0-2021-1860
SUSE OpenStack Cloud 7
  • libwebpmux1 >= 0.4.3-4.7.1
Patchnames:
SUSE-OpenStack-Cloud-7-2021-1830
SUSE OpenStack Cloud 8
  • libwebp5 >= 0.4.3-4.7.1
  • libwebp5-32bit >= 0.4.3-4.7.1
  • libwebpdemux1 >= 0.4.3-4.7.1
  • libwebpmux1 >= 0.4.3-4.7.1
Patchnames:
SUSE-OpenStack-Cloud-8-2021-1830
SUSE OpenStack Cloud 9
  • libwebp5 >= 0.4.3-4.7.1
  • libwebp5-32bit >= 0.4.3-4.7.1
  • libwebpdemux1 >= 0.4.3-4.7.1
  • libwebpmux1 >= 0.4.3-4.7.1
Patchnames:
SUSE-OpenStack-Cloud-9-2021-1830
SUSE OpenStack Cloud Crowbar 8
  • libwebp5 >= 0.4.3-4.7.1
  • libwebp5-32bit >= 0.4.3-4.7.1
  • libwebpdemux1 >= 0.4.3-4.7.1
  • libwebpmux1 >= 0.4.3-4.7.1
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-8-2021-1830
SUSE OpenStack Cloud Crowbar 9
  • libwebp5 >= 0.4.3-4.7.1
  • libwebp5-32bit >= 0.4.3-4.7.1
  • libwebpdemux1 >= 0.4.3-4.7.1
  • libwebpmux1 >= 0.4.3-4.7.1
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-9-2021-1830
openSUSE Leap 15.3
  • libwebp6 >= 0.5.0-3.5.1
  • libwebp6-32bit >= 0.5.0-3.5.1
  • libwebpdecoder2 >= 0.5.0-3.5.1
  • libwebpdecoder2-32bit >= 0.5.0-3.5.1
  • libwebpextras0 >= 0.5.0-3.5.1
  • libwebpextras0-32bit >= 0.5.0-3.5.1
  • libwebpmux2 >= 0.5.0-3.5.1
  • libwebpmux2-32bit >= 0.5.0-3.5.1
Patchnames:
openSUSE-SLE-15.3-2021-1860


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 libwebp Released
SUSE CaaS Platform 4.0 libwebp Released
SUSE Enterprise Storage 6 libwebp Released
SUSE Linux Enterprise High Performance Computing 12 SP5 libwebp Released
SUSE Linux Enterprise High Performance Computing 15 LTSS libwebp Released
SUSE Linux Enterprise High Performance Computing 15 SP1 ESPOS libwebp Released
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS libwebp Released
SUSE Linux Enterprise Module for Basesystem 15 SP2 libwebp Not affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP2 libwebp Not affected
SUSE Linux Enterprise Server 12 SP2 BCL libwebp Released
SUSE Linux Enterprise Server 12 SP2 LTSS ERICSSON libwebp Released
SUSE Linux Enterprise Server 12 SP2 LTSS SAP libwebp Released
SUSE Linux Enterprise Server 12 SP3 BCL libwebp Released
SUSE Linux Enterprise Server 12 SP3 ESPOS libwebp Released
SUSE Linux Enterprise Server 12 SP3 LTSS libwebp Released
SUSE Linux Enterprise Server 12 SP4 ESPOS libwebp Released
SUSE Linux Enterprise Server 12 SP4 LTSS libwebp Released
SUSE Linux Enterprise Server 12 SP5 libwebp Released
SUSE Linux Enterprise Server 15 LTSS libwebp Released
SUSE Linux Enterprise Server 15 SP1 Business Critical Linux libwebp Released
SUSE Linux Enterprise Server 15 SP1 LTSS libwebp Released
SUSE Linux Enterprise Server ESPOS 15 libwebp Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 libwebp Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 libwebp Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 libwebp In progress
SUSE Linux Enterprise Server for SAP Applications 15 libwebp Released
SUSE Linux Enterprise Server for SAP Applications 15 SP1 libwebp Released
SUSE Linux Enterprise Software Development Kit 12 SP5 libwebp Released
SUSE Linux Enterprise Workstation Extension 15 SP2 libwebp Released
SUSE Linux Enterprise Workstation Extension 15 SP3 libwebp Released
SUSE Manager Proxy 4.0 libwebp Released
SUSE Manager Retail Branch Server 4.0 libwebp Released
SUSE Manager Server 4.0 libwebp Released
SUSE OpenStack Cloud 7 libwebp In progress
SUSE OpenStack Cloud 8 libwebp Released
SUSE OpenStack Cloud 9 libwebp Released
SUSE OpenStack Cloud Crowbar 8 libwebp Released
SUSE OpenStack Cloud Crowbar 9 libwebp Released
SUSE Package Hub 15 libwebp Released